List cash takings
GET
/cash/takings
const url = 'https://example.com/cash/takings?settled=outstanding&days=7';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/cash/takings?settled=outstanding&days=7' \ --cookie bottle.session_token=<bottle.session_token>The doors behind a figure. A total nobody can break down is a total nobody can argue with honestly, so the office can see which drops make up what a driver is carrying.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”driverUserId
string
settled
string
days
integer
Responses
Section titled “Responses”Takings
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
driverUserId
required
string
driverName
required
string | null
roundId
required
UUID v7
string | null format: uuid
orderId
required
UUID v7
string | null format: uuid
customerName
required
string | null
invoiceId
required
UUID v7
string | null format: uuid
invoiceNumber
required
string | null
amountPence
required
integer
takenAt
required
string format: date-time
settledAt
required
string | null format: date-time
note
required
string | null
handoverId
required
UUID v7
string | null format: uuid
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "roundId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "orderId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "invoiceId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "handoverId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}